package ru.yandex.wmconsole.data.bad.urls.impl;

import ru.yandex.wmconsole.data.bad.urls.DbActionEnum;
import ru.yandex.wmconsole.data.bad.urls.DbTask;
import ru.yandex.wmconsole.util.file.comparator.impl.UrlRecord;

/**
 * User: azakharov
 * Date: 15.08.13
 * Time: 11:07
 */
public class DbTaskImpl implements DbTask {
    private final DbActionEnum action;
    private final UrlRecord newUrlRecord;
    private final UrlRecord oldUrlRecord;

    public DbTaskImpl(DbActionEnum action, UrlRecord newUrlRecord, UrlRecord oldUrlRecord) {
        this.action = action;
        this.newUrlRecord = newUrlRecord;
        this.oldUrlRecord = oldUrlRecord;
    }

    @Override
    public UrlRecord getNewUrlRecord() {
        return newUrlRecord;
    }

    @Override
    public UrlRecord getOldUrlRecord() {
        return oldUrlRecord;
    }

    @Override
    public DbActionEnum getAction() {
        return action;
    }
}
